Update Lender Placement
curl --request PUT \
--url https://api.lendflow.com/api/applications/{application_id}/placements/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "http://www.bailey.biz/quos-velit-et-fugiat-sunt-nihil-accusantium-harum.html"
}
'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/placements/{id}"
payload = { "url": "http://www.bailey.biz/quos-velit-et-fugiat-sunt-nihil-accusantium-harum.html" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'http://www.bailey.biz/quos-velit-et-fugiat-sunt-nihil-accusantium-harum.html'
})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/placements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"placement_id": null,
"application_id": "35c3c878-314f-47d7-a0ee-0e6625275bef",
"tracking": "",
"status": null,
"decline_reason": null,
"decline_reason_id": null,
"decline_subreason_id": null,
"method": 1,
"product_id": 1,
"created_at": null,
"updated_at": null,
"resubmitted_at": null,
"is_client_funded": null,
"can_send_files": false,
"can_resubmit": false,
"via_automation": false,
"submission_path": null,
"reference_workflow_status": null,
"reference_workflow_sub_status": null,
"reference_workflow_status_color": null,
"origin_offer_template_id": "01958b10-0d3c-73d4-99a1-148aece7409d",
"origin_offer_template": {
"id": "01958b10-0d3c-73d4-99a1-148aece7409d",
"name": "ARLOC",
"description": null,
"product": "arloc",
"is_enabled": true,
"is_default": true,
"is_fallback": true,
"funder_id": null,
"client_id": null,
"created_at": "2025-03-12T15:53:59.000000Z",
"updated_at": "2026-10-08T15:42:24.000000Z"
},
"destinations": [
{
"workflow_template_id": null,
"offer_template_id": "01958b10-0d3c-73d4-99a1-148aece7409d",
"offer_template": {
"id": "01958b10-0d3c-73d4-99a1-148aece7409d",
"name": "ARLOC",
"description": null,
"product": "arloc",
"is_enabled": true,
"is_default": true,
"is_fallback": true,
"funder_id": null,
"client_id": null,
"created_at": "2025-03-12T15:53:59.000000Z",
"updated_at": "2026-10-08T15:42:24.000000Z"
}
}
],
"url": null
}
}Placements
Update Lender Placement
Updates the details of an existing placement. When the placement is linked to another, the linked placement receives the same changes.
PUT
/
api
/
applications
/
{application_id}
/
placements
/
{id}
Update Lender Placement
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the application.
The ID of the placement.
Body
application/json
Must be a valid URL.
Example:
"http://www.bailey.biz/quos-velit-et-fugiat-sunt-nihil-accusantium-harum.html"
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?